Subject: bug#59028: [PATCH] Rewrite the `kill-buffer-delete-auto-save' tests

From: Eli Zaretskii <[email-masked]>
Date: Wed, 16 Nov 2022 16:41:10 +0200

> From: Matt Armstrong <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 15 Nov 2022 10:52:43 -0800
> 
> > However, the tests are still quite talkative, and emit a lot of stuff
> > for which I see no purpose.  Can we shut up those "BEGIN
> > overlay-modification-hooks test-case ((insert-at . 1))" messages and
> > also the "Auto-saving...", "Auto-saving...done"?  Or do they serve
> > some useful purpose?
> 
> See the attached patch, which either removes noisy messages or replaces
> them with `ert-info'.  I didn't know about `ert-info' when I added the
> noisy messages.

Thanks, I installed this.

> As for the "Auto-saving..." messages, they are printed by calls to
> `message1' in fileio.c.  There may be a way to hide them, but see the
> next paragraph.

There is a way, and I took it.  Now there's no noise.

> There is a behavior difference between ert's interactive runner and
> batch runner.  In interactive mode all `message' output is redirected to
> a buffer normally hidden, made visible only by request after the test
> runs, and I expect people will look at these only when debugging failed
> tests.  In batch mode `message' output is printed to stdout (or maybe
> stderr) by default, mixed with ert's other output.  It may be possible
> to change ert's batch runner to hide each test's `message' output,
> perhaps printing it only if the test fails.  Do we have a person who is
> familiar with ert that we can run this idea by?
> 
> For example, this kind of noise would also be eliminated by such a
> change:
> 
>    passed  35/48  simple-tests--undo (0.000591 sec)
> Undo
> Redo
> Mark set
> Undo in region
> Redo
> Redo
> Redo
> Undo
> Undo
> Undo
> Undo
> Undo
> Undo
>    passed  36/48  simple-tests--undo-equiv-table (0.000453 sec)
> Mark set
> Undo in region
> Mark activated
> Undo in region
> Redo in region
> Redo in region

Yes, it would be good to be able to shut that up as well.

Thanks.

Can we now close this bug?